BLAS/SRC/zdotu.f(3)

NAME
BLAS/SRC/zdotu.f

SYNOPSIS

  Functions/Subroutines
complex *16 function zdotu (n, zx, incx, zy, incy)
ZDOTU

Function/Subroutine Documentation

  complex*16 function zdotu (integer n, complex*16, dimension(*) zx, integer incx, complex*16, dimension(*) zy, integer incy)

ZDOTU

Purpose:

     ZDOTU forms the dot product of two complex vectors
          ZDOTU = X^T * Y

Parameters
    N

              N is INTEGER
             number of elements in input vector(s)

    ZX

              ZX is COMPLEX*16 array, dimension ( 1 + ( N - 1 )*abs( INCX ) )

    INCX

              INCX is INTEGER
             storage spacing between elements of ZX

    ZY

              ZY is COMPLEX*16 array, dimension ( 1 + ( N - 1 )*abs( INCY ) )

    INCY

              INCY is INTEGER
             storage spacing between elements of ZY

Author
    Univ. of Tennessee

    Univ. of California Berkeley

    Univ. of Colorado Denver

    NAG Ltd.

Further Details:

         jack dongarra, 3/11/78.
         modified 12/3/93, array(1) declarations changed to array(*)

Definition at line 82 of file zdotu.f.

Author

Generated automatically by Doxygen for LAPACK from the source code.